Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class AddressInfo

    java.lang.Object
      portlets.compoze.groupware.addressbook.AddressInfo

All Implemented Interfaces:
  java.io.Serializable

public class AddressInfo
extends java.lang.Object
implements java.io.Serializable

This class represents the address information of a contact.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AddressInfo.AddressType` This class represents the address type of an address.

Constructor Summary
`AddressInfo(AddressInfo.AddressType addressType)` Constructor.
`AddressInfo(java.lang.String sAddressLine1, java.lang.String sAddressLine2, java.lang.String sCity, java.lang.String sState, java.lang.String sCountry, java.lang.String sPostalCode, AddressInfo.AddressType addressType)` Constructor.

Method Summary
`java.lang.String` | `getAddressLine1()` Gets the address line 1 (street) of the address.
`java.lang.String` | `getAddressLine1Html()` Gets the address line1 text in HTML format.
`java.lang.String` | `getAddressLine2()` Gets the address line 2 (apt.
`AddressInfo.AddressType` | `getAddressType()` Gets the address type (eg.
`java.lang.String` | `getCity()` Gets the name of the city.
`java.lang.String` | `getCountry()` Gets the name of the country.
`java.lang.String` | `getDisplayAddress(java.util.Locale locale)` Gets the formatted display address for the contact.
`java.lang.String` | `getPostalCode()` Gets the postal code.
`java.lang.String` | `getPostOfficeBox()` Gets the post office box.
`java.lang.String` | `getState()` Gets the name of the state.
`void` | `setAddressLine1(java.lang.String sAddressLine1)` Sets the address line 1 (street) of the address.
`void` | `setAddressLine2(java.lang.String sAddressLine2)` Sets the address line 2 (apt.
`void` | `setAddressType(AddressInfo.AddressType addressType)` Sets the address type.
`void` | `setCity(java.lang.String sCity)` Sets the name of the city.
`void` | `setCountry(java.lang.String sCountry)` Sets the name of the country.
`void` | `setPostalCode(java.lang.String sPostalCode)` Sets the postal code.
`void` | `setPostOfficeBox(java.lang.String sPostOfficeBox)` Sets the post office box.
`void` | `setState(java.lang.String sState)` Sets the name of the state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressInfo

    public AddressInfo(AddressInfo.AddressType addressType)

  Constructor.

Parameters:
  `addressType` - the address type (home, business etc.)

### AddressInfo

    public AddressInfo(java.lang.String sAddressLine1,
                       java.lang.String sAddressLine2,
                       java.lang.String sCity,
                       java.lang.String sState,
                       java.lang.String sCountry,
                       java.lang.String sPostalCode,
                       AddressInfo.AddressType addressType)

  Constructor.

Parameters:
  `sAddressLine1` - the address line 1 (street)
  `sAddressLine2` - the address line 2 (apt. number etc.)
  `sCity` - the city (name of the city)
  `sState` - the state (name of the state)
  `sCountry` - the country (name of the country)
  `sPostalCode` - the postal code
  `addressType` - the address type (home, business etc.)

Method Detail

### getAddressLine1

    public java.lang.String getAddressLine1()

  Gets the address line 1 (street) of the address.

  Returns:
    the address line 1

### setAddressLine1

    public void setAddressLine1(java.lang.String sAddressLine1)

  Sets the address line 1 (street) of the address.

  Parameters:
    `sAddressLine1` - the address line 1

### getAddressLine2

    public java.lang.String getAddressLine2()

  Gets the address line 2 (apt. number etc.) of the address.

  Returns:
    the address line 2

### setAddressLine2

    public void setAddressLine2(java.lang.String sAddressLine2)

  Sets the address line 2 (apt. number etc.) of the address.

  Parameters:
    `sAddressLine2` - the address line 2

### getCity

    public java.lang.String getCity()

  Gets the name of the city.

  Returns:
    the city

### setCity

    public void setCity(java.lang.String sCity)

  Sets the name of the city.

  Parameters:
    `sCity` - the name of the city

### getState

    public java.lang.String getState()

  Gets the name of the state.

  Returns:
    the state or `null` for none

### setState

    public void setState(java.lang.String sState)

  Sets the name of the state.

  Parameters:
    `sState` - the name of the state

### getPostalCode

    public java.lang.String getPostalCode()

  Gets the postal code.

  Returns:
    the postal code

### setPostalCode

    public void setPostalCode(java.lang.String sPostalCode)

  Sets the postal code.

  Parameters:
    `sPostalCode` - the postal code

### getCountry

    public java.lang.String getCountry()

  Gets the name of the country.

  Returns:
    the country

### setCountry

    public void setCountry(java.lang.String sCountry)

  Sets the name of the country.

  Parameters:
    `sCountry` - the name of the country

### getPostOfficeBox

    public java.lang.String getPostOfficeBox()

  Gets the post office box.

  Returns:
    the post office box

### setPostOfficeBox

    public void setPostOfficeBox(java.lang.String sPostOfficeBox)

  Sets the post office box.

  Parameters:
    `sPostOfficeBox` - the post office box

### getAddressType

    public AddressInfo.AddressType getAddressType()

  Gets the address type (eg. home, business etc.).

  Returns:
    the address type

### setAddressType

    public void setAddressType(AddressInfo.AddressType addressType)

  Sets the address type.

  Parameters:
    `addressType` - the address type (may not be null)

### getDisplayAddress

    public java.lang.String getDisplayAddress(java.util.Locale locale)

  Gets the formatted display address for the contact.

  Returns:
    the display address

### getAddressLine1Html

    public java.lang.String getAddressLine1Html()

  Gets the address line1 text in HTML format.

  Returns:
    the address line1 text in HTML format

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.